# Developers

## Integrate Your Plugin with Runner

To add a custom Description and Icon to your Plugin, you need to update your `manifest.json` file. In the example below you'll see how it works. You can add an `icon` and `description`. Optionally you can add an alternative icon for macOS dark mode with `iconDark`. Runner will pick those up and do the rest.&#x20;

The icons should have a 64×64 resolution to show up crisp in the search results.&#x20;

```javascript
{
    "name": "About Emoji Autocomplete",
    "identifier": "about",
    "script": "index.js",
    "handler": "onSelectAboutMenuItem",
    "icon": "iconRunner.png",
    "iconDark": "iconRunnerDark.png",
    "description": "Learn more about the Emoji Autocomplete plugin."
}
```

![](/files/-LY8sO55GomW6sAuqq8o)

![](/files/-LY8sPVyTMIjq4-0IdRH)

{% hint style="info" %}
**Custom UI**\
If your plugin relies on custom UI elements, please, add your key functionalities as commands to the menu bar like described above. Only this way users can find and see all the great functionalities you have to offer inside of Runner!
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sketchrunner.com/developers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
